package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.SceneInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface SceneInfoService {
	SceneInfo get(String id);
	boolean exist(String id);
	int insert(SceneInfo model);
	int update(SceneInfo model);
	int delete(String id);
	List<SceneInfo> list();
	Page<SceneInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}